Bug 1317701 - zlib1.dll missing execute premission
Summary: zlib1.dll missing execute premission
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw32-zlib
Version: 23
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-14 22:50 UTC by Gene Hightower
Modified: 2016-12-20 19:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 19:27:21 UTC


Attachments (Terms of Use)

Description Gene Hightower 2016-03-14 22:50:54 UTC
Description of problem:

 ls -l /usr/i686-w64-mingw32/sys-root/mingw/bin/zlib1.dll
-rw-r--r--. 1 root root 85026 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/zlib1.dll

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:

$ ls -l /usr/i686-w64-mingw32/sys-root/mingw/bin/zlib1.dll
-rwxr-xr-x. 1 root root 85026 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/zlib1.dll*

Additional info:

Comment 1 Thomas Sailer 2016-03-14 23:14:54 UTC
Why are executable permissions needed? The packaging guidelines do not say so and quite a few dlls don't have executable permissions as well.

Comment 2 Gene Hightower 2016-03-14 23:20:30 UTC
At least on Windows 10, dll's without execute permissions fail to work.  May or may not work on other versions of Windows, I did not try.

Comment 3 Richard W.M. Jones 2016-03-31 12:39:06 UTC
(In reply to Gene Hightower from comment #2)
> At least on Windows 10, dll's without execute permissions fail to work.  May
> or may not work on other versions of Windows, I did not try.

Why does the version of Windows affect this?  These are stored
and used by a Linux host.

Comment 4 Gene Hightower 2016-03-31 16:57:49 UTC
> Why does the version of Windows affect this?  These are stored and
> used by a Linux host.

DLLs in ming??-*.noarch packages install on Fedora hosts and can be
used by programs running under Fedora's Linux kernel such as other
MinGW tools such as i686-w64-mingw32-ld, etc.

Ultimately the MinGW tools are used to create EXE and DLL files (PE32
format) that are targeted to run on Windows hosts.  The Windows run
time linking system (at least on Windows 10) won't load DLL files
without execute premissions.

I solved the problem in my case by adding execute permissions to the
DLL files after transfering them to my target Windows host.

If those files were accessed by a Windows host via a network file
system (such as NFS or CIFS) "in place" I would expect EXEs attempting
to use them to fail.

I'm not sure if DLLs without execute premissions work under Wine, I
didn't try.  But I would expect that case to fail also.

The Fedora MinGW packages are a truly awesome demonstration of the
power of free software and I thank everyone involved in their creation
and maintenance.

Comment 5 Michael Cronenworth 2016-03-31 17:46:06 UTC
(In reply to Gene Hightower from comment #4)
> I'm not sure if DLLs without execute premissions work under Wine, I
> didn't try.  But I would expect that case to fail also.

They will not fail. Wine only requires read permission.

Comment 6 Gene Hightower 2016-03-31 19:14:33 UTC
All the other DLL did install with execute on my system:

So I assumed this was an oversight on the zlib package, hence I reported it.$ ls -l /usr/i686-w64-mingw32/sys-root/mingw/bin/*.dll
-rwxr-xr-x. 1 root root    29902 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/iconv.dll
-rwxr-xr-x. 1 root root 20797053 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/icudata50.dll
-rwxr-xr-x. 1 root root  1982683 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/icui18n50.dll
-rwxr-xr-x. 1 root root    49405 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/icuio50.dll
-rwxr-xr-x. 1 root root   236679 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/icule50.dll
-rwxr-xr-x. 1 root root    45876 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/iculx50.dll
-rwxr-xr-x. 1 root root    86912 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/icutest50.dll
-rwxr-xr-x. 1 root root   182662 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/icutu50.dll
-rwxr-xr-x. 1 root root  1304638 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/icuuc50.dll
-rwxr-xr-x. 1 root root    54518 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libasprintf-0.dll
-rwxr-xr-x. 1 root root   154355 Aug  5  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libatomic-1.dll
-rwxr-xr-x. 1 root root    14461 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_atomic-mt.dll
-rwxr-xr-x. 1 root root    34321 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_chrono-mt.dll
-rwxr-xr-x. 1 root root    34315 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_chrono.dll
-rwxr-xr-x. 1 root root    68919 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_container-mt.dll
-rwxr-xr-x. 1 root root    68919 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_container.dll
-rwxr-xr-x. 1 root root    36662 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_context-mt.dll
-rwxr-xr-x. 1 root root    39021 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_coroutine-mt.dll
-rwxr-xr-x. 1 root root    39021 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_coroutine.dll
-rwxr-xr-x. 1 root root    56823 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_date_time-mt.dll
-rwxr-xr-x. 1 root root    56823 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_date_time.dll
-rwxr-xr-x. 1 root root   119797 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_filesystem-mt.dll
-rwxr-xr-x. 1 root root   119791 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_filesystem.dll
-rwxr-xr-x. 1 root root   536507 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_graph-mt.dll
-rwxr-xr-x. 1 root root   536501 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_graph.dll
-rwxr-xr-x. 1 root root    81216 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_iostreams-mt.dll
-rwxr-xr-x. 1 root root    81216 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_iostreams.dll
-rwxr-xr-x. 1 root root   556336 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_locale-mt.dll
-rwxr-xr-x. 1 root root   756244 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_log-mt.dll
-rwxr-xr-x. 1 root root   666130 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_log.dll
-rwxr-xr-x. 1 root root  1472029 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_log_setup-mt.dll
-rwxr-xr-x. 1 root root  1324355 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_log_setup.dll
-rwxr-xr-x. 1 root root   191791 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_math_c99-mt.dll
-rwxr-xr-x. 1 root root   191791 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_math_c99.dll
-rwxr-xr-x. 1 root root    80623 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_math_c99f-mt.dll
-rwxr-xr-x. 1 root root    80623 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_math_c99f.dll
-rwxr-xr-x. 1 root root   176912 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_math_c99l-mt.dll
-rwxr-xr-x. 1 root root   176912 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_math_c99l.dll
-rwxr-xr-x. 1 root root   540779 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_math_tr1-mt.dll
-rwxr-xr-x. 1 root root   540779 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_math_tr1.dll
-rwxr-xr-x. 1 root root   508715 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_math_tr1f-mt.dll
-rwxr-xr-x. 1 root root   508715 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_math_tr1f.dll
-rwxr-xr-x. 1 root root   530539 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_math_tr1l-mt.dll
-rwxr-xr-x. 1 root root   530539 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_math_tr1l.dll
-rwxr-xr-x. 1 root root    58259 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_prg_exec_monitor-mt.dll
-rwxr-xr-x. 1 root root    58259 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_prg_exec_monitor.dll
-rwxr-xr-x. 1 root root   346539 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_program_options-mt.dll
-rwxr-xr-x. 1 root root   346539 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_program_options.dll
-rwxr-xr-x. 1 root root    28924 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_random-mt.dll
-rwxr-xr-x. 1 root root    28918 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_random.dll
-rwxr-xr-x. 1 root root   759563 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_regex-mt.dll
-rwxr-xr-x. 1 root root   759563 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_regex.dll
-rwxr-xr-x. 1 root root   361740 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_serialization-mt.dll
-rwxr-xr-x. 1 root root   361740 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_serialization.dll
-rwxr-xr-x. 1 root root    80618 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_signals-mt.dll
-rwxr-xr-x. 1 root root    80618 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_signals.dll
-rwxr-xr-x. 1 root root    22779 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_system-mt.dll
-rwxr-xr-x. 1 root root    22779 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_system.dll
-rwxr-xr-x. 1 root root   107583 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_thread-mt.dll
-rwxr-xr-x. 1 root root    24017 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_timer-mt.dll
-rwxr-xr-x. 1 root root    24011 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_timer.dll
-rwxr-xr-x. 1 root root   655853 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_unit_test_framework-mt.dll
-rwxr-xr-x. 1 root root   655853 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_unit_test_framework.dll
-rwxr-xr-x. 1 root root   903144 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_wave-mt.dll
-rwxr-xr-x. 1 root root   903138 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_wave.dll
-rwxr-xr-x. 1 root root   260853 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_wserialization-mt.dll
-rwxr-xr-x. 1 root root   260335 Sep  2  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libboost_wserialization.dll
-rwxr-xr-x. 1 root root    71707 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libbz2-1.dll
-rwxr-xr-x. 1 root root   897166 Aug 22  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libcairo-2.dll
-rwxr-xr-x. 1 root root    31146 Aug 22  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libcairo-gobject-2.dll
-rwxr-xr-x. 1 root root   125044 Aug 22  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libcairo-script-interpreter-2.dll
-rwxr-xr-x. 1 root root  1464832 Apr 24  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libcrypto-10.dll
-rwxr-xr-x. 1 root root   407929 Feb  6 08:35 /usr/i686-w64-mingw32/sys-root/mingw/bin/libcurl-4.dll
-rwxr-xr-x. 1 root root   152783 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libexpat-1.dll
-rwxr-xr-x. 1 root root    31554 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libffi-6.dll
-rwxr-xr-x. 1 root root   254892 Aug 23  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libfontconfig-1.dll
-rwxr-xr-x. 1 root root   557328 Aug 23  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libfreetype-6.dll
-rwxr-xr-x. 1 root root   475851 Aug  5  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libgcc_s_sjlj-1.dll
-rwxr-xr-x. 1 root root   592792 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libgcrypt-20.dll
-rwxr-xr-x. 1 root root  1258318 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libgettextlib-0-19-4.dll
-rwxr-xr-x. 1 root root   317718 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libgettextpo-0.dll
-rwxr-xr-x. 1 root root   251998 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libgettextsrc-0-19-4.dll
-rwxr-xr-x. 1 root root  1278932 Nov 18 08:18 /usr/i686-w64-mingw32/sys-root/mingw/bin/libgio-2.0-0.dll
-rwxr-xr-x. 1 root root  1214317 Nov 18 08:18 /usr/i686-w64-mingw32/sys-root/mingw/bin/libglib-2.0-0.dll
-rwxr-xr-x. 1 root root    23271 Nov 18 08:18 /usr/i686-w64-mingw32/sys-root/mingw/bin/libgmodule-2.0-0.dll
-rwxr-xr-x. 1 root root   290792 Nov 18 08:18 /usr/i686-w64-mingw32/sys-root/mingw/bin/libgobject-2.0-0.dll
-rwxr-xr-x. 1 root root    39314 Jun  7  2014 /usr/i686-w64-mingw32/sys-root/mingw/bin/libgpg-error-0.dll
-rwxr-xr-x. 1 root root    16676 Nov 18 08:18 /usr/i686-w64-mingw32/sys-root/mingw/bin/libgthread-2.0-0.dll
-rwxr-xr-x. 1 root root   340551 Sep 25  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libharfbuzz-0.dll
-rwxr-xr-x. 1 root root    17741 Sep 25  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libharfbuzz-icu-0.dll
-rwxr-xr-x. 1 root root   207061 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libidn-11.dll
-rwxr-xr-x. 1 root root   104347 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libintl-8.dll
-rwxr-xr-x. 1 root root   144722 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/liblzma-5.dll
-rwxr-xr-x. 1 root root   260534 Oct 16 07:23 /usr/i686-w64-mingw32/sys-root/mingw/bin/libpango-1.0-0.dll
-rwxr-xr-x. 1 root root    64877 Oct 16 07:23 /usr/i686-w64-mingw32/sys-root/mingw/bin/libpangocairo-1.0-0.dll
-rwxr-xr-x. 1 root root    86788 Oct 16 07:23 /usr/i686-w64-mingw32/sys-root/mingw/bin/libpangoft2-1.0-0.dll
-rwxr-xr-x. 1 root root    69785 Oct 16 07:23 /usr/i686-w64-mingw32/sys-root/mingw/bin/libpangowin32-1.0-0.dll
-rwxr-xr-x. 1 root root   280747 Feb  6 08:55 /usr/i686-w64-mingw32/sys-root/mingw/bin/libpcre-1.dll
-rwxr-xr-x. 1 root root   252043 Feb  6 08:55 /usr/i686-w64-mingw32/sys-root/mingw/bin/libpcre16-0.dll
-rwxr-xr-x. 1 root root   240267 Feb  6 08:55 /usr/i686-w64-mingw32/sys-root/mingw/bin/libpcre32-0.dll
-rwxr-xr-x. 1 root root    42571 Feb  6 08:55 /usr/i686-w64-mingw32/sys-root/mingw/bin/libpcrecpp-0.dll
-rwxr-xr-x. 1 root root    17382 Feb  6 08:55 /usr/i686-w64-mingw32/sys-root/mingw/bin/libpcreposix-0.dll
-rwxr-xr-x. 1 root root   450635 Aug 23  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libpixman-1-0.dll
-rwxr-xr-x. 1 root root   209189 Feb  6 09:11 /usr/i686-w64-mingw32/sys-root/mingw/bin/libpng16-16.dll
-rwxr-xr-x. 1 root root   152902 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libssh2-1.dll
-rwxr-xr-x. 1 root root   358912 Apr 24  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libssl-10.dll
-rwxr-xr-x. 1 root root    75926 Aug  5  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libssp-0.dll
-rwxr-xr-x. 1 root root 11583580 Aug  5  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libstdc++-6.dll
-rwxr-xr-x. 1 root root    19987 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libtermcap-0.dll
-rwxr-xr-x. 1 root root    44666 Aug  5  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libvtv-0.dll
-rwxr-xr-x. 1 root root    44666 Aug  5  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libvtv_stubs-0.dll
-rwxr-xr-x. 1 root root    51484 Aug  5  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/libwinpthread-1.dll
-rwxr-xr-x. 1 root root   103685 Feb 13 02:50 /usr/i686-w64-mingw32/sys-root/mingw/bin/libzip-4.dll
-rw-r--r--. 1 root root    85026 Jun 17  2015 /usr/i686-w64-mingw32/sys-root/mingw/bin/zlib1.dll

Comment 7 Fedora End Of Life 2016-11-24 16:05:38 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2016-12-20 19:27:21 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.